require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_FPU_CONTROL_H)) {
    eval 'sub _FPU_CONTROL_H () {1;}' unless defined(&_FPU_CONTROL_H);
    if(defined( &__MAVERICK__)) {
	eval 'sub _FPU_MASK_IM () {(1<< 5);}' unless defined(&_FPU_MASK_IM);
	eval 'sub _FPU_MASK_ZM () {0;}' unless defined(&_FPU_MASK_ZM);
	eval 'sub _FPU_MASK_OM () {(1<< 7);}' unless defined(&_FPU_MASK_OM);
	eval 'sub _FPU_MASK_UM () {(1<< 8);}' unless defined(&_FPU_MASK_UM);
	eval 'sub _FPU_MASK_PM () {(1<< 9);}' unless defined(&_FPU_MASK_PM);
	eval 'sub _FPU_MASK_DM () {0;}' unless defined(&_FPU_MASK_DM);
	eval 'sub _FPU_RESERVED () {0xfffff000;}' unless defined(&_FPU_RESERVED);
	eval 'sub _FPU_DEFAULT () {0xb00000;}' unless defined(&_FPU_DEFAULT);
	eval 'sub _FPU_IEEE () {0xb003a0;}' unless defined(&_FPU_IEEE);
	eval 'sub _FPU_GETCW {
	    my($cw) = @_;
    	    eval q(\\"(assembly code)\\");
	}' unless defined(&_FPU_GETCW);
	eval 'sub _FPU_SETCW {
	    my($cw) = @_;
    	    eval q(\\"(assembly code)\\");
	}' unless defined(&_FPU_SETCW);
    } else {
	eval 'sub _FPU_MASK_IM () {0x10000;}' unless defined(&_FPU_MASK_IM);
	eval 'sub _FPU_MASK_ZM () {0x20000;}' unless defined(&_FPU_MASK_ZM);
	eval 'sub _FPU_MASK_OM () {0x40000;}' unless defined(&_FPU_MASK_OM);
	eval 'sub _FPU_MASK_UM () {0x80000;}' unless defined(&_FPU_MASK_UM);
	eval 'sub _FPU_MASK_PM () {0x100000;}' unless defined(&_FPU_MASK_PM);
	eval 'sub _FPU_MASK_DM () {0x;}' unless defined(&_FPU_MASK_DM);
	eval 'sub _FPU_RESERVED () {0xffe0e0e0;}' unless defined(&_FPU_RESERVED);
	eval 'sub _FPU_DEFAULT () {0x1000;}' unless defined(&_FPU_DEFAULT);
	eval 'sub _FPU_IEEE () {0x1f1000;}' unless defined(&_FPU_IEEE);
	eval 'sub _FPU_GETCW {
	    my($cw) = @_;
    	    eval q(\\"(assembly code)\\");
	}' unless defined(&_FPU_GETCW);
	eval 'sub _FPU_SETCW {
	    my($cw) = @_;
    	    eval q(\\"(assembly code)\\");
	}' unless defined(&_FPU_SETCW);
    }
}
1;
