require '_h2ph_pre.ph';

no warnings 'redefine';

unless(defined(&_FENV_H)) {
    die("Never use <bits/fenv.h> directly; include <fenv.h> instead.");
}
if(defined( &__MAVERICK__)) {
    eval("sub FE_INVALID () { 1; }") unless defined(&FE_INVALID);
    eval("sub FE_OVERFLOW () { 4; }") unless defined(&FE_OVERFLOW);
    eval("sub FE_UNDERFLOW () { 8; }") unless defined(&FE_UNDERFLOW);
    eval("sub FE_INEXACT () { 16; }") unless defined(&FE_INEXACT);
    eval 'sub FE_EXCEPT_SHIFT () {5;}' unless defined(&FE_EXCEPT_SHIFT);
    eval 'sub FE_ALL_EXCEPT () {( &FE_INVALID |  &FE_OVERFLOW |  &FE_UNDERFLOW |  &FE_INEXACT);}' unless defined(&FE_ALL_EXCEPT);
    eval("sub FE_TONEAREST () { 0; }") unless defined(&FE_TONEAREST);
    eval("sub FE_TOWARDZERO () { 0x400; }") unless defined(&FE_TOWARDZERO);
    eval("sub FE_DOWNWARD () { 0x800; }") unless defined(&FE_DOWNWARD);
    eval("sub FE_UPWARD () { 0xc00; }") unless defined(&FE_UPWARD);
    eval 'sub FE_ROUND_MASK () {( &FE_UPWARD);}' unless defined(&FE_ROUND_MASK);
} else {
    eval("sub FE_INVALID () { 1; }") unless defined(&FE_INVALID);
    eval("sub FE_DIVBYZERO () { 2; }") unless defined(&FE_DIVBYZERO);
    eval("sub FE_OVERFLOW () { 4; }") unless defined(&FE_OVERFLOW);
    eval("sub FE_UNDERFLOW () { 8; }") unless defined(&FE_UNDERFLOW);
    eval 'sub FE_EXCEPT_SHIFT () {16;}' unless defined(&FE_EXCEPT_SHIFT);
    eval 'sub FE_ALL_EXCEPT () {( &FE_INVALID |  &FE_DIVBYZERO |  &FE_OVERFLOW |  &FE_UNDERFLOW);}' unless defined(&FE_ALL_EXCEPT);
    eval 'sub FE_TONEAREST () {0;}' unless defined(&FE_TONEAREST);
}
unless(defined(&FE_DFL_ENV)) {
    sub FE_DFL_ENV () {	(( &fenv_t *) -1);}
}
1;
